> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token summary

> Returns the latest token summary (supply, holders, etc.) from Elasticsearch for a given token and chain.



## OpenAPI

````yaml /api-reference/data-api.json get /v2/tokens/summary
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.9
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v2/tokens/summary:
    get:
      tags:
        - Token Information
      summary: Get token summary
      description: >-
        Returns the latest token summary (supply, holders, etc.) from
        Elasticsearch for a given token and chain.
      operationId: getTokenSummary
      parameters:
        - name: token
          required: true
          in: query
          description: Token symbol or identifier (e.g. USDtb)
          schema:
            type: string
        - name: network
          required: true
          in: query
          description: Network name (e.g. eth)
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenSummary'
components:
  schemas:
    TokenSummary:
      type: object
      properties:
        token:
          type: string
        chain:
          type: string
        nonce:
          type: number
        total_supply:
          type: string
        total_supply_usd:
          type: number
        circulating_supply:
          type: string
        circulating_supply_usd:
          type: number
        holders:
          type: number
        timestamp:
          type: string
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````